Installing and Upgrading KEMP 360 Central

First-time installation of KEMP 360 Central is supported on a number of platforms. In addition to reading these Release Notes, please also read and follow the Installation Guide for your platform, available from the KEMP Documentation Library. Expand the KEMP 360 link at the top left of the library contents and then click on the installation guide for your platform.

This document applies to KEMP 360 Central. For documentation on configuring LoadMaster, LMOS release notes, information on LMOS backup archive content, or other LoadMaster-specific issues, please refer to the LoadMaster documentation from the KEMP Documentation Library.

Before You Begin

The following notes and subsections list requirements and recommendations for installing and using KEMP 360 Central:

  • Any device that you want to add to KEMP 360 Central must be located on a network that can be reached from the KEMP 360 Central instance.
  • The person performing a fresh install or upgrade of KEMP 360 Central should be familiar with network administration best practices within their organization and possess an intermediate level of general network and system administration knowledge.
  • For the best user experience, KEMP recommends using Google Chrome to access the KEMP 360 Central UI. Other browsers -- Firefox, Safari, Edge, and Internet Explorer -- are also supported.

LMOS Version Support

We strongly recommend that for optimal performance and usability, all LoadMasters managed by KEMP 360 Central are running LMOS Version 7.1.35, or a later release.

Older LMOS releases can be managed from KEMP 360 Central, but will experience the following operational limitations:

  • LMOS releases prior to 7.1.35 do not support certificate authentication when logging in via the API; KEMP 360 Central will fall back to basic authentication for these LoadMasters.
  • LMOS releases prior to 7.1.34 also do not report network interface information and statistics. Because of these and other limitations in these releases of LMOS, we recommend that you do not add more than 50 LoadMasters running releases prior to 7.1.34.
  • LMOS releases prior to 7.1.30b also report fewer overall statistics.

Virtual Machine Requirements

As of version 1.25.2, the default minimum Virtual Machine (VM) provisioning requirements for new installs were updated as follows:

Resource

V1.23 and earlier firmware

V1.25.2 and later firmware

CPU

2 cores

4 cores

RAM

4 GB

8 GB

Disk storage

40 GB

250 GB

Upgrading to version 1.25.2 and later releases does not update existing VM resources. To modify your current VM configuration to conform to the above minimum values, contact KEMP Support.

System Capacity

A single instance of KEMP 360 Central can host a maximum of 600 managed devices, with a combined total of 18000 resources defined on those devices (Virtual Services, SubVSs, and Real Servers). KEMP 360 central polls these devices regularly for availability and configuration status:

  • Availability status of managed devices and the load balancing objects defined on them (Virtual Services, SubVSs, and Real Servers) is updated every minute (60 seconds).
  • Configuration status of managed devices and services is updated every hour (60 minutes). Please note that:
    • If a configuration change is made from KEMP 360 Central, the change is reflected immediately in the KEMP 360 Central UI.
    • For LoadMaster devices, you can also request an immediate configuration update using the Request Update button found on the LoadMaster’s System Configuration tab in the KEMP 360 Central UI.

Upgrade Instructions

To update KEMP 360 Central to the latest firmware version:

  1. Click the Settings and Configuration icon (the gear icon) at the bottom-left corner of the UI.
  2. Click Firmware Management.
  3. Click Select Firmware and choose the desired update image.
  4. Click Upload; once the image is uploaded to KEMP 360 Central, the Install button appears.
  5. Click Install and then click Yes in the confirmation popup that appears. The text Updating… appears in the accordion button to indicate that the update process has begun. Do not make any further attempt to use the UI until the system has automatically rebooted, which will take a few minutes. Upon completing the update, the login screen is displayed.
  6. Ensure you clear your browser cache before logging into KEMP 360 Central after the upgrade. This is to ensure that the browser downloads the latest UI code from Central.

Getting Help

If you experience issues when installing or upgrading to this release of KEMP 360 Central that can’t be resolved by consulting this document or the installation guides available from the Documentation Library, please visit the Support Web Portal to look for help from our user community, access KEMP’s Knowledge Base, or submit a support request.

To submit a support request via the Support Portal, please have your KEMP ID and password available. After you file a request, a KEMP Support Engineer will contact you promptly.

Upgrade Path to the Latest Release

The KEMP 360 Central firmware version is available on the About page, displayed by clicking on the question mark button on the bottom-left of the UI.

The following table summarizes the path that you need to follow to upgrade currently deployed KEMP 360 Central instances to the latest release.

Version

Upgrade Path

Pre-1.6

Upgrade to V1.9 only. Contact KEMP Support to upgrade.

1.6

Upgrade to V1.9 only. Contact KEMP Support to upgrade.

1.7, 1.8

Upgrade to V1.9 only.

1.9

Upgrade to latest release is supported. Note that customers running a v1.9 image earlier than v1.9.0.1403 must upgrade to v1.9.0.1403 before upgrading to a later release.

1.12 thru 1.24
1.25.2 thru 1.27*

Upgrade to latest release is supported.

2.0*

Latest release.

*Note: Upgrading to Version 1.25.2 and later releases does not update existing VM resources to conform to the new minimum resource values described in the Virtual Machine Requirements section, above in this document. Please contact KEMP Support to either increase the CPU, RAM, and Storage requirements for your existing deployment, or re-deploy.

 

Was this article helpful?

0 out of 0 found this helpful

Comments